local hcTk = HCToolkit

function hcTk.CreateAvatarPanel(container)
    hcTk.AssignmentCreateHeader(container, "Avatar Matrix Assignments")
    for i = 1, 6 do
        container:AddChild(hcTk.AssignmentCreateEditBox(hcTk.GetAssignment("Left", i), "Left #" .. i, function(e) hcTk.SetAssignment("Left", i, e:GetText()) end))
        container:AddChild(hcTk.AssignmentCreateEditBox(hcTk.GetAssignment("Right", i), "Right #" .. i, function(e) hcTk.SetAssignment("Right", i, e:GetText()) end))
    end
end

function hcTk.GetAssignment(side, number)
    return hcTk.DB.profile.Assignments.TOS.AvatarMatrixSoaks[side][number]
end

function hcTk.SetAssignment(side, number, text)
    hcTk.DB.profile.Assignments.TOS.AvatarMatrixSoaks[side][number] = text
end